#ifndef _IPARSINGACTIONS_H_
#define _IPARSINGACTIONS_H_

#include <buildspec.h>
#include "Parsers/IGeometryActions.h"
#include "Parsers/IPropertyActions.h"
#include "Parsers/IMetadataActions.h"
#include "Parsers/IStreamposActions.h"

namespace GST{
	namespace Geometry {
		class IGeometry;
	}
namespace Parsers{

class GST_API_EXPORT IParsingActions
	: public IGeometryActions
	, public IPropertyActions
	, public IMetadataActions
	, public IStreamposActions
{
public:
	IParsingActions() {}
	virtual ~IParsingActions() {}

};

}// namespace Parsers
}// namespace GST

#endif //_IPARSINGACTIONS_H_
